'Future.Library Scrolling
'

REM $INCLUDE: 'future.bi'


Set640x400 8

IF Pages% < 3 THEN Future.PRINT 0, 0, "Sorry, need 4 screen pages to run this demo.", 7, 0: SLEEP: ResetScreen: END

SetFrameBuffer 1280, 800

FOR I% = 0 TO 1600
Future.CIRCLE 0, 0, I%, I%
Future.CIRCLE 0, 1, I%, I%
NEXT

Future.LINE 0, 0, 1280, 800, 15, -1
Future.LINE 0, 800, 1280, 0, 15, -1
Future.BOX 0, 0, 1279, 799, 15


d$ = "640x400 resolution with a 1280x800 frame buffer."
Future.PRINT 130, 200, d$, 15, 1
Future.PRINT 640 + 130, 200, d$, 15, 2
Future.PRINT 130, 400 + 200, d$, 15, 3
Future.PRINT 640 + 130, 400 + 200, d$, 15, 4

Future.MouseOn

DO
SLEEP 1

FOR I% = 0 TO 159
WAIT &H3DA, 8
WAIT &H3DA, 8, 8
Future.ScrollLR 4
Future.UpdateMouse
NEXT

SLEEP 1

FOR I% = 0 TO 99
WAIT &H3DA, 8
WAIT &H3DA, 8, 8
Future.ScrollUD 4
Future.UpdateMouse
NEXT

SLEEP 1

FOR I% = 0 TO 159
WAIT &H3DA, 8
WAIT &H3DA, 8, 8
Future.ScrollLR -4
Future.UpdateMouse
NEXT


SLEEP 1

FOR I% = 0 TO 99
WAIT &H3DA, 8
WAIT &H3DA, 8, 8
Future.ScrollUD -4
Future.UpdateMouse
NEXT

LOOP UNTIL INKEY$ = CHR$(27)

Future.MouseOff

ResetScreen

